./news/xrn, Usenet News reader for the X window system

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 9.01nb4, Package name: xrn-9.01nb4, Maintainer: pkgsrc-users

XRN is a Usenet News reader for the X window system. It requires an
NNTP server to talk to (i.e., it cannot read news from local disk
files), and the NNTP server must support the XHDR command (most
servers nowadays do; if yours doesn't, XRN will complain when you try
to run it).

XRN is currently maintained by Jonathan Kamens. Bug reports or
comments about it should be sent to bug-xrn@kamens.brookline.ma.us.
Please do *not* write to that address with basic questions about
compiling the program; if you are unfamiliar with compiling X
applications and the instructions below are not sufficient, you should
seek help at your site.

Versions of XRN prior to 7.00 were maintained by Ellen Santovich and
Rick Spickelmier.


Required to build:
[pkgtools/x11-links]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2015-11-03 00:49:48 by Alistair G. Crooks | Files touched by this commit (19)
Log message:
Add SHA512 digests for distfiles for news category

Existing SHA1 digests verified, all found to be the same on the
machine holding the existing distfiles (morden).  Existing SHA1
digests retained for now as an audit trail.
   2014-09-12 06:17:38 by David A. Holland | Files touched by this commit (4)
Log message:
Use strerror, not sys_errlist. Probably fixes Solaris build and others.
While here patch some other legacy C issues as well.
   2012-10-08 14:27:42 by Aleksej Saushev | Files touched by this commit (18)
Log message:
Drop PKG_DESTDIR_SUPPORT setting, "user-destdir" is default these days.
   2012-05-03 11:55:33 by OBATA Akio | Files touched by this commit (36) | Package updated
Log message:
Drop dependency on libXp (from Imake)

* libXp was used by Xaw8, but it had been obsolated, and in pkgsrc,
  x11/libXaw/buildlink3.mk had been switched to pick up Xaw7 by default.
* With x11/xorg-cf-files, libXp was offered with XawClientLibs,
  but updated to 1.0.4, it was removed.
* And pkgsrc had been switched to use always xorg-cf-files and imake from pkgsrc,
  so all platforms should not require libXp from libXaw with Imake.

Bump PKGREVISION.
   2012-05-03 11:08:11 by OBATA Akio | Files touched by this commit (2)
Log message:
fixes build with fiex<2.5.20, yylineno is required condifionally.
   2012-04-16 06:33:30 by David A. Holland | Files touched by this commit (2)
Log message:
Remove private K&R-style declaration of strpbrk() that broke the Linux
build.
   2011-12-22 01:28:20 by Joerg Sonnenberger | Files touched by this commit (2)
Log message:
Fix build with newer flex.
   2010-02-12 00:32:50 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
DESTDIR support